Skip to main content

Captures


This section describes how to capture an authorized transaction.

For China UnionPay, use the capture service to process pre-authorization completions.

All supported card types can process captures.

Limitations for the JCN Gateway Processor

Listed below are the maximum amounts that can be processed:

  • The maximum amount for an authorization is limited to 8 digits: 99,999,999.
  • The maximum amount for a capture or credit is limited to 7 digits: 9,999,999.

Supported Processors

Supported processors (37)

AIBMS, American Express Direct, Banque de France et Tresor Public, Barclays, BNP Paribas France, Chase Paymentech Solutions, China UnionPay, Cielo, Comercio Latino, Credit Mutuel-CIC, Elavon Americas, FDC Compass, FDC Nashville Global, FDI Australia, Getnet, GPN, GPX, HBOS, HSBC, JCN Gateway, Moneris, OmniPay Direct, Lloyds-OmniPay, Prosa, PTTAMPA, Rede, RuPay HDFC, SIX, Smart FDC, Smart Pay, SPG, Streamline, TSYS Acquiring Solutions, UATP, Vero, Visa Platform Connect, Worldpay VAP

Supported processors: Elavon Americas, FDC Nashville Global, Smart Pay, Streamline, , Worldpay VAP

Endpoints

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

POST /pts/v2/payments/{id}/captures

The {id} is the transaction ID returned in the authorization response.

Example

{    "clientReferenceInformation": {        "code": "ABC123"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "EUR"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/captures/6662994431376681303954/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/captures/6662994431376681303954"        }    },    "clientReferenceInformation": {        "code": "1666299443215"    },    "id": "6662994431376681303954",    "orderInformation": {        "amountDetails": {            "totalAmount": "100.00",            "currency": "EUR"        }    },    "reconciliationId": "66535942B9CGT52U",    "status": "PENDING",    "submitTimeUtc": "2022-10-20T20:57:23Z"}

SPG Example

This example includes optional fields.

{  "clientReferenceInformation": {    "code": "SPG_REQ_02"  },  "processingInformation": {    "captureOptions": {      "captureSequenceNumber": 1,      "totalCaptureCount": 5    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "10",      "currency": "SAR"    }  }}
{  "orderInformation": {    "amountDetails": {      "totalAmount": "100.00",      "currency": "SAR"    }  },  "processorInformation": {    "paymentAccountReferenceNumber": "ZnUYuZUWBZbZVsNI0CEsKW75QleZ8",    "approvalCode": "830SPG",    "retrievalReferenceNumber": "424009035277",    "responseCode": "00",    "settlementDate": "220915"  },  "_links": {    "self": {      "method": "GET",      "href": "/v2/payments/7247512943611234567890"    },    "refund": {      "method": "POST",      "href": "/pts/v2/payments/7247512943611234567890/refunds"    }  },  "clientReferenceInformation": {    "code": "TC_SPG_REQUEST_PB-64"  },  "consumerAuthenticationInformation": {    "token": "7247512943611234567890"  },  "reconciliationId": "7247511738451234567890",  "status": "PENDING",  "id": "7247512943611234567890",  "submitTimeUtc": "2024-08-27T09:34:54Z"}
FieldDescription
clientReferenceInformation.codeThis field value maps from the original authorization, sale, or credit transaction.
orderInformation.amountDetails.currency
For RuPay HDFC, set the value to INR.
orderInformation.amountDetails.totalAmount—

Last published: September 29, 2026